#include <string>
#include <iostream>
#include <fstream>
#include "expr.h"
#include "amanda.h"
#include "errors.h"
#include "scanner.h"
#include "parser.h"
#include "lang.h"

using namespace std;

int main(int argc, char* argv[]) {
	bool cont = true;
  
	if  ( !lang_load("lang.txt") ) {
		cerr << "Failure to load language support! please make sure you have installed the application correctly" << endl; 
		abort();
	}
	
	
	// Run stdio version
	// Bind parser directly to stdin and stdout (and stderr)
	Parser prs(cin, cout);
	cout << lang_get(TX_INIT) << endl;
	while (cont) 
		try { 
			cout << lang_get(TX_PROMPT);
			cont = prs.commandP();
  		} catch (Exception e) {
			cout << "!! " << e.getMsg() << endl;
			cont = true;
		}
}







