//////////////////////////////////////////////////////////////////////////////
//
// File: lang.cpp
//
// Language support for EWS2000. Call lang_load when loading your application.
// Afterwards, you can use lang_get to access resource-strings for the 
// application. The format for the language file is quite strict:
// Lines starting with @ are seperators, immediately after the @, a number must
// be present. This is the message-number. All lines until the next line with
// a @ as the first character are considered a part of the message. This means
// that you have to have a trailing @ in the file.
#include "lang.h"
#include <fstream>
#include <map>

//#define DEBUG(s) (cerr << s << endl)
#define DEBUG(s)

static map<int,string> messages;

int lang_load(string langfile) {
	char buffer[2000];
	
	ifstream ifs("lang.txt");
	if(!ifs) {
		cout << "Help-file not found. Program will terminate!" << endl;
		return 0;
    }
    
    
  	ifs.getline(buffer,2000);
    while (!ifs.eof()) {
    	if (buffer[0]=='@') {
	   		long int key=0, lp1=1;
    		string val;
    		while (buffer[lp1]>='0' && buffer[lp1]<='9')
    			key = key*10+(buffer[lp1++]-'0');
    		ifs.getline(buffer,2000);
    		while (buffer[0]!='@') {
		        if (val!="") val += "\n";
    			val += buffer;
    			if (ifs.eof()) break;
    			ifs.getline(buffer,2000);
    		}
		if (*(val.end()-1)=='\r' ) *(val.end()-1)='\0';
    		messages[key] = val;
		DEBUG(key << "=" << val );
    	}
    }
	return 1;
	    
}







string lang_get(int q) {
	return messages[q];
}
