//////////////////////////////////////////////////////////////////////////////
//
// File: lang.cpp
//
// Header-file for language-support module. In here, the methods for loading
// a language and getting message-strings are declared. A lot of define are
// used for mapping the different messages to numbers in the resource-file.
#ifndef LANG_H
#define LANG_H

#include <string>

// Defines for text messages - not errors
#define TX_INIT 200
#define TX_PROMPT 201
#define TX_TRUE 202
#define TX_FALSE 203
#define TX_IDENT 204
#define TX_OPERATOR 205
#define TX_ENVRESET 206
#define TX_EXPR 207
#define TX_ANSI 208
#define TX_WARNTYPES 209
// Defines for help-messages
#define H_NUM 100
#define H_BOOL 101
#define H_EVAL 102
#define H_LET 103
#define H_DEFEQ 104
#define H_SIMPLIFY 105
#define H_DIFF 117
#define H_HELP 107
#define H_SHOW 108
#define H_ENV 109
#define H_RESTART 110
#define H_QUIT 111
#define H_IFTHENELSE 112
#define H_NOT 113
#define H_EOF 114
#define H_SUBST 116
#define H_INSULT 115
// Defines for extended error messages
#define EX_MISSIDSUBST 50
#define EX_MISSPART 51
#define EX_UNBOUNDVAR 52

#define EX_EVAL_POWNEGBASE 28
#define EX_DIFF_POWNOTINDEP 27




int lang_load(string);

string lang_get(int);
		
#endif
