//////////////////////////////////////////////////////////////////////////////
//
// File: scanner.h
//
// Interface to scanner-class

#ifndef SCANNER_H
#define SCANNER_H

#include <string>
#include "expr.h"
using namespace std;

// This is the list of the tokens in the input.
enum Token { 
  SHOW, 
  EVAL, 
  NUM, 
  BOOL,
  LET,
  QUIT,
  HELP,
  SIMPLIFY, 
  DIFF,
  ENVIROMENT,
  RESTART,
  SUBST,
  IF, THEN, ELSE, 
  TRUE, FALSE, 
  OR, AND, NOT, LT, LTEQ, GT, GTEQ, EQ, NOTEQ, DEFEQ,
  ADD, SUB, MUL, DIV, POW,
  LP, RP, ID, COMMA,
  CONST, ERROR, EOFI
};


class Scanner
{
	public:
		Scanner();
		void initbuf( string );
  
		char curchar;
		void nextchar();
  
		Token nexttoken();
		string tokenAsString(Token);
		string getLexeme();
		extended getConstreal();
		bool getConstbool() { return constbool; }

	private:
		enum { MAXLINESIZE=200 };
		char linebuf[MAXLINESIZE];
		int linepos;

		string lexeme;
		Token tok;
		extended constreal;
		bool constbool;

  
		void check_keyword();
		void scLexeme();
		void scId();
		void scIconst();
		void scGT();
		void scLT();
		void scNOT(); 
		void scEQ();
};


#endif



